Buildroot: %{_builddir}/%{name}-root
Name: sts
Version: 1.1.0
Release: 1%{?dist}
Summary: EMI Security Token Service (STS)
License: Apache 2.0
Distribution: RedHat
Group: System Environment/Daemons
URL: http://www.eu-emi.eu/
Requires: java >= 1.6, canl-java >= 1.1, voms-api-java3 >= 3.0
BuildArch: noarch
Packager: Henri Mikkonen henri.mikkonen at hip.fi
BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : sts-1.1.0-1.src.tar.gz

%description
This is the EMI Security Token Service (STS)

%changelog
* Tue Apr 02 2013 Henri Mikkonen <henri.mikkonen at hip.fi>
- Support for NAGIOS monitoring and EMIR publishing.
* Wed Oct 31 2012 Henri Mikkonen <henri.mikkonen at hip.fi>
- Initial packaging.

%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=1.1.0 -Dpackage.release=1 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644, root, root, 755)

%docdir "/usr/share/doc/sts-1.1.0"
"/usr/share/doc/sts-1.1.0/*"

%dir "/usr/share/sts/lib"
"/usr/share/sts/lib/*.jar"

%dir "/usr/share/sts/conf"
"/usr/share/sts/conf/*"

%dir "/usr/share/sts/schema"
"/usr/share/sts/schema/*"

%dir "/usr/share/sts/sbin"
"/usr/share/sts/sbin/*"

%dir "/usr/share/sts/wars"
"/usr/share/sts/wars/*.war"

%dir "/etc/sysconfig"
"/etc/sysconfig/sts-service"

%dir "/usr/share/sts/log"
"/usr/share/sts/log"

%attr(755, root, root) /usr/share/sts/sbin/stsctl

%post
if [ -e /usr/share/java/sts-server.jar ]
         then
	    /bin/rm -f /usr/share/java/sts-server.jar
fi
if [ -e /etc/sts ]
         then
	    /bin/rm -f /etc/sts
fi
if [ -e /var/lib/sts ]
         then
	    /bin/rm -f /var/lib/sts
fi
if [ -e /var/log/sts ]
         then
	    /bin/rm -f /var/log/sts
fi
if [ -e /usr/sbin/stsctl ]
         then
	    /bin/rm -f /usr/sbin/stsctl
fi
if [ -e /etc/rc.d/init.d/sts-service ]
         then
	    /bin/rm -f /etc/rc.d/init.d/sts-service
fi
/bin/ln -s /var/lib/sts/sts-server-1.0.0.jar /usr/share/java/sts-server.jar
/bin/ln -s /usr/share/sts/conf /etc/sts
/bin/ln -s /usr/share/sts/sbin/stsctl /usr/sbin/stsctl
/bin/ln -s /usr/share/sts/sbin/stsctl /etc/rc.d/init.d/sts-service
/bin/ln -s /usr/share/sts/lib /var/lib/sts
/bin/ln -s /usr/share/sts/log /var/log/sts
%preun
if [ -e /usr/share/java/sts-server.jar ]
         then
	    /bin/rm -f /usr/share/java/sts-server.jar
fi
if [ -e /etc/sts ]
         then
	    /bin/rm -f /etc/sts
fi
if [ -e /var/lib/sts ]
         then
	    /bin/rm -f /var/lib/sts
fi
if [ -e /var/log/sts ]
         then
	    /bin/rm -f /var/log/sts
fi
if [ -e /usr/sbin/stsctl ]
         then
	    /bin/rm -f /usr/sbin/stsctl
fi
if [ -e /etc/rc.d/init.d/sts-service ]
         then
	    /bin/rm -f /etc/rc.d/init.d/sts-service
fi
